Bug 461650 - Firewall is disabled but it stills print a notice telling that the security is at maximum level
Firewall is disabled but it stills print a notice telling that the security i...
Status: CLOSED CURRENTRELEASE
Product: Red Hat HPC Solution
Classification: Red Hat
Component: ocs (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: OCS Support
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-09 14:24 EDT by Rafael Garabato
Modified: 2008-09-29 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: ntop-3.3-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-29 15:09:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rafael Garabato 2008-09-09 14:24:01 EDT
Description of problem:
I have installed RED HAT with the firewall and selinux completely disabled but When I configured ocs a notice appeared saying that the security level was at maximum.

Version-Release number of selected component (if applicable):
ocs.noarch                               5.1-3

How reproducible:
Never tried again.

Steps to Reproduce:
1.Install Red Hat 5.2 with DVD and disable SELINUX and Firewall
2. yum install ocs
3. . /etc/profile.d/kusuenv.sh
4. /opt/kusu/sbin/ocs-setup
  
Actual results:
------------------------------------------------------------------


NOTICE: The default Red Hat firewall configuration blocks
        almost all ports.  It is necessary to open these
        ports for the various HPC applications to work.
        You can manually open these ports or run the following
        to generate new firewall rules:
        # /opt/kusu/bin/kusurc /opt/kusu/etc/S02KusuIptables.rc.py


------------------------------------------------------------------

Congratulations!  The base kit is installed and configured to provision on:

   Network 10.0.0.0 on interface eth0


[root@rhhpcml ~]# cat /etc/sysconfig/system-config-securitylevel
# Configuration file for system-config-securitylevel

--disabled
--port=22:tcp

[root@rhhpcml ~]# cat /etc/selinux/config
# This file controls the state of SELinux on the system.
# SELINUX= can take one of these three values:
#       enforcing - SELinux security policy is enforced.
#       permissive - SELinux prints warnings instead of enforcing.
#       disabled - SELinux is fully disabled.
SELINUX=disabled
# SELINUXTYPE= type of policy in use. Possible values are:
#       targeted - Only targeted network daemons are protected.
#       strict - Full SELinux protection.
SELINUXTYPE=targeted


Expected results:


Additional info:
Comment 1 OCS Support 2008-09-18 12:02:01 EDT
The ocs-setup script has been changed to detect if the firewall is running.  If the firewall is running it will now provide the prompt.

The fix will be in the ocs package version 5.1-5 or better
Comment 2 OCS Support 2008-09-29 09:36:04 EDT
Fix passes QA

Note You need to log in before you can comment on or make changes to this bug.